<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Insert_GeoFence_V2 StructType
 * @subpackage Structs
 */
class Insert_GeoFence_V2 extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The GeoFenceInsert
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\InterfaceGeoFenceInsert_V2
     */
    public $GeoFenceInsert;
    /**
     * Constructor method for Insert_GeoFence_V2
     * @uses Insert_GeoFence_V2::setLogin()
     * @uses Insert_GeoFence_V2::setGeoFenceInsert()
     * @param \StructType\Login $login
     * @param \StructType\InterfaceGeoFenceInsert_V2 $geoFenceInsert
     */
    public function __construct(\StructType\Login $login = null, \StructType\InterfaceGeoFenceInsert_V2 $geoFenceInsert = null)
    {
        $this
            ->setLogin($login)
            ->setGeoFenceInsert($geoFenceInsert);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Insert_GeoFence_V2
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get GeoFenceInsert value
     * @return \StructType\InterfaceGeoFenceInsert_V2|null
     */
    public function getGeoFenceInsert()
    {
        return $this->GeoFenceInsert;
    }
    /**
     * Set GeoFenceInsert value
     * @param \StructType\InterfaceGeoFenceInsert_V2 $geoFenceInsert
     * @return \StructType\Insert_GeoFence_V2
     */
    public function setGeoFenceInsert(\StructType\InterfaceGeoFenceInsert_V2 $geoFenceInsert = null)
    {
        $this->GeoFenceInsert = $geoFenceInsert;
        return $this;
    }
}
